get:
    tags:
        - Operaciones con REDIS
    summary: Obtener información de REDIS
    description: Permite obtener las claves de REDIS (la respuesta varía entre la v1.0 y la v2.0)
    operationId: cacheREDISList
    parameters:
      - $ref: './components_parameters.yaml#/components/parameters/Authorization'
      - $ref: './components_parameters.yaml#/components/parameters/Version'
      - $ref: './components_parameters.yaml#/components/parameters/delegado'
      - $ref: './components_parameters.yaml#/components/parameters/rol'
      - $ref: './components_parameters.yaml#/components/parameters/contexto'
      - $ref: './components_parameters.yaml#/components/parameters/sistema'
      - $ref: './components_parameters.yaml#/components/parameters/pagina'
      - $ref: './components_parameters.yaml#/components/parameters/registros'
      - $ref: './components_parameters.yaml#/components/parameters/incluir'
      - name: patronClave
        in: path
        description: Patrón de búsqueda por clave (sólo para la versión v1.0)
        required: true
        schema:
          type: string
      - name: clave
        in: path
        description: Extracción de clave (sólo para la versión v2.0)
        required: true
        schema:
          type: string
    responses:
      '200':
        description: OK - Operación realizada correctamente
        content:
          application/json:
            schema:
              oneOf:
                - $ref: './components_schemas.yaml#/components/schemas/ListadoCacheV10'
                - $ref: './components_schemas.yaml#/components/schemas/ListadoCacheV20'
      '4XX':
          $ref: './models_errors_4XX.yaml'
      '5XX':
          $ref: './models_errors_5XX.yaml'
    deprecated: false
delete:
    tags:
        - Operaciones con REDIS
    summary: Borrar contenido de REDIS
    description: Permite obtener las claves de REDIS.
    operationId: deletecacheREDIS
    parameters:
      - $ref: './components_parameters.yaml#/components/parameters/Authorization'
      - $ref: './components_parameters.yaml#/components/parameters/Version'
      - $ref: './components_parameters.yaml#/components/parameters/delegado'
      - $ref: './components_parameters.yaml#/components/parameters/rol'
      - $ref: './components_parameters.yaml#/components/parameters/contexto'
      - $ref: './components_parameters.yaml#/components/parameters/sistema'
      - name: patronClave
        in: path
        description: Patrón de la clave de REDIS
        required: true
        schema:
          type: string
    responses:
      '200':
        description: OK - Operación realizada correctamente
        content:
          application/json:
            schema:
              type: object
              properties:
                descripcion:
                  type: string
                  description: Mensaje de resultado de operación
                visible:
                  type: string
                  description: Recomendación sobre la visibilidad del mensaje de respuesta de cara al usuario final
              required:
                - descripcion
                - visible
      '4XX':
          $ref: './models_errors_4XX.yaml'
      '5XX':
          $ref: './models_errors_5XX.yaml'
    deprecated: false